package com.hz.pm.api.common.statemachine.builder;

import com.hz.pm.api.common.statemachine.event.TenderStatusChangeEvent;
import com.hz.pm.api.projectdeclared.model.entity.Purchase;
import com.hz.pm.api.projectlib.model.enumeration.TenderStatusEnum;
import org.springframework.beans.factory.BeanFactory;
import org.springframework.statemachine.StateMachine;
import org.springframework.statemachine.StateMachineException;
import org.springframework.statemachine.persist.StateMachinePersister;

/**
 * 项目申报状态机
 *
 * @author CMM
 * @since 2023/02/07 15:56
 */
public interface TenderStateMachineBuilder {

    StateMachine<TenderStatusEnum, TenderStatusChangeEvent> build() throws StateMachineException;

    /**
     * 构建状态机
     *
     * @param beanFactory \
     */
    StateMachine<TenderStatusEnum, TenderStatusChangeEvent> build(BeanFactory beanFactory) throws StateMachineException;

    /**
     * 持久化配置
     *
     * @author CMM
     * @since 2023/02/07 16:22
     */
    StateMachinePersister<TenderStatusEnum, TenderStatusChangeEvent, Purchase> stateMachinePersister();

}
