package com.hz.pm.api.meeting.entity.req;

import com.hz.pm.api.meeting.entity.dto.InviteCallIgnoreTimeContentDTO;
import com.hz.pm.api.meeting.entity.dto.ExpertJudgeTimeLimitContentDTO;
import com.hz.pm.api.meeting.entity.enumeration.MeetingSettingsTypeEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * MeetingSettingsSaveReq
 * </p>
 *
 * @author WendyYang
 * @since 09:53 2023/12/27
 */
@Data
public class MeetingSettingsSaveReq {

    @ApiModelProperty("是否启用")
    private Boolean enable;

    @ApiModelProperty("配置内容")
    private Object settingsContent;

    @ApiModelProperty("配置类型")
    private MeetingSettingsTypeEnum settingsType;

    @ApiModelProperty("仅做参数展示")
    private SettingsContentPackageDTO settingsContentPackage;

    @Data
    public static class SettingsContentPackageDTO {

        @ApiModelProperty("专家邀请免打扰时段设置")
        private InviteCallIgnoreTimeContentDTO expertInviteIgnoreTimeContent;

        @ApiModelProperty("专家评价时间设置")
        private ExpertJudgeTimeLimitContentDTO expertJudgeTimeLimitContent;

    }

}
