package com.hz.pm.api.meeting.helper;

import com.alibaba.fastjson.JSONObject;
import com.hz.pm.api.external.sms.SmsServiceClient;
import com.hz.pm.api.external.sms.dto.SmsDTO;
import com.hz.pm.api.external.sms.vo.SmsSendResponse;
import com.hz.pm.api.meeting.entity.domain.MeetingExpertSms;
import com.hz.pm.api.meeting.mapper.MeetingExpertSmsMapper;
import com.ningdatech.yxt.model.cmd.SendSmsCmd;
import com.ningdatech.yxt.model.cmd.SubmitTaskCallCmd;
import com.ningdatech.yxt.model.cmd.SubmitTaskCallResponse;
import com.ningdatech.yxt.model.response.SendSmsResponse;
import lombok.AllArgsConstructor;
import org.springframework.context.annotation.Primary;
import org.springframework.stereotype.Component;

import java.time.LocalDateTime;
import java.util.Arrays;

/**
 * @author wangrenkang
 * @date 2024-02-22 16:39:35
 */
@Component
@AllArgsConstructor
@Primary
public class SmsOrCallClient implements com.ningdatech.yxt.client.YxtClient {

    private final SmsServiceClient smsServiceClient;
    private final MeetingExpertSmsMapper meetingExpertSmsMapper;

    /**
     * 发送短信
     * @param sendSmsCmd 短信内容,短信手机号
     * @return
     */
    @Override
    public SendSmsResponse submitSmsTask(SendSmsCmd sendSmsCmd) {
        sendSmsCmd.getContextList().forEach(sms ->{
            SmsDTO<SmsSendResponse> smsSendResponseSmsDto = smsServiceClient.smsSend(sms.getContent(), Arrays.asList(sms.getReceiveNumber()));
            String resultUuid = smsSendResponseSmsDto.getData().getResult();
            // 保存短信发送记录
            MeetingExpertSms meetingExpertSms = MeetingExpertSms.builder()
                    .createOn(LocalDateTime.now())
                    .smsUuid(resultUuid)
                    .content(sms.getContent())
                    .phones(sms.getReceiveNumber())
                    .smsResult(smsSendResponseSmsDto.toString())
                    .build();
            meetingExpertSmsMapper.insert(meetingExpertSms);
        });
        return null;
    }

    @Override
    public SubmitTaskCallResponse submitTaskCall(SubmitTaskCallCmd submitTaskCallCmd) {
        return null;
    }

    @Override
    public JSONObject getSentResultSms(String transactionId) {
        return null;
    }

    @Override
    public JSONObject getSentResultCall(String transactionId) {
        return null;
    }
}
