package com.hz.pm.api.projectdeclared.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.IService;
import com.hz.pm.api.projectdeclared.model.entity.PurchaseInst;

import java.util.Collection;
import java.util.List;

/**
 * <p>
 * IPurchaseInstService
 * </p>
 *
 * @author WendyYang
 * @since 00:12 2024/2/25
 */
public interface IPurchaseInstService extends IService<PurchaseInst> {

    default PurchaseInst getByProjectIdAndInstCode(Long projectId, String instCode) {
        Wrapper<PurchaseInst> query = Wrappers.lambdaQuery(PurchaseInst.class)
                .eq(PurchaseInst::getProjectId, projectId)
                .eq(PurchaseInst::getInstCode, instCode);
        return getOne(query);
    }

    default List<PurchaseInst> listByInstCodes(Collection<String> instCodes) {
        Wrapper<PurchaseInst> query = Wrappers.lambdaQuery(PurchaseInst.class)
                .in(PurchaseInst::getInstCode, instCodes);
        return list(query);
    }

}
