package com.hz.pm.api.projectlib.controller;

import com.hz.pm.api.projectlib.manage.ProjectGovSystemReplaceInfoManage;
import com.hz.pm.api.projectlib.model.vo.SystemReplaceInfoVO;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * ProjectGovSystemReplaceInfoController
 * </p>
 *
 * @author WendyYang
 * @since 15:38 2024/3/20
 */
@RestController
@RequestMapping("/api/v1/system-replace-info")
@RequiredArgsConstructor
public class ProjectGovSystemReplaceInfoController {

    private final ProjectGovSystemReplaceInfoManage systemReplaceInfoManage;

    @GetMapping("/all")
    public SystemReplaceInfoVO all(@RequestParam(required = false) String targetSystem) {
        return systemReplaceInfoManage.systemReplaceInfos(targetSystem);
    }

}
